### Function

# FwupdPlugin power_state_to_string

since: 1.8.11

#### Declaration [src]

    const gchar*
    fu_power_state_to_string (
      FuPowerState power_state
    )

#### Description [src]

Converts an enumerated type to a string.

Available since: 1.8.11

#### Parameters

`power_state`

  Type: `FuPowerState`

  A power state, e.g. `FU_POWER_STATE_AC_FULLY_CHARGED`.

#### Return value

Type: `const gchar*`

A string, or `NULL` for invalid.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.